# Указываем базовый образ. Например, официальный образ Node 16
FROM node:20

# Устанавливаем рабочую директорию в контейнере
WORKDIR /app

# Копируем файлы package.json и package-lock.json (если есть)
COPY package*.json ./

# Устанавливаем зависимости проекта
RUN yarn

# Копируем остальные файлы проекта в контейнер
COPY . .

RUN yarn build

# Объявляем порт, на котором будет работать приложение
EXPOSE 3000

# Запускаем приложение
CMD ["yarn", "start"]
